:-----------------------------------------------------------------------------------
: Batch file to install Java-based GUI RAID Manager on Windows 95/98/NT 
: Version 1.11a 2/29/2000  By Jeff Lin
: Version 1.21a 2/20/2001  By Jeff Lin
:-----------------------------------------------------------------------------------
@echo off
echo.
echo    ****************************************************************
echo           Java-based GUI RAID Manager Installation Procedure
echo    ****************************************************************
echo.
echo -----------------------------------
echo SECTION I: JRE v1.2.2 Installtion
echo -----------------------------------
echo.
echo *NOTE: Before you can run Java-based program successfully,
echo        please installed JRE(Java Runtime Enviroment) first. 
echo.
echo Would you like to install JRE v1.2.2 now ?
:JRE_INSTALL
getkey
if errorlevel 2 goto JRE_INSTALL
if errorlevel 1 goto CANCEL_INSTALL
if errorlevel 0 goto OK_INSTALL
goto JRE_INSTALL
:OK_INSTALL
echo.
echo Start to install JRE v1.2.2 .....
echo.
jre12win
rem pause
goto SEC2
:CANCEL_INSTALL
echo.
echo JRE v1.2.2 install canceled!
echo.
:SEC2
set path=%path%;c:\windows\system
echo.
echo ------------------------------------------------------
echo SECTION II: Java-based GUI RAID Manager Installation
echo ------------------------------------------------------
echo.
echo *NOTE: To install and configure Java-based GUI RAID Manager successfully,
echo        We highly recommend you refer to INSTALLATION GUIDE first.
echo.
echo Would you like to install Java-based GUI RAID Manager now ?
:GRM_INSTALL
getkey
if errorlevel 2 goto GRM_INSTALL
if errorlevel 1 goto NO_INSTALL
if errorlevel 0 goto YES_INSTALL
:YES_INSTALL
echo.
echo Start to install Java-based GUI RAID Manager .....
echo.
cd ..\common
java -Djava.compiler="" -cp install.jar Install
:-------------------------------------------
: Copy .java.policy and .keystore files
:-------------------------------------------
cd ..\windows
grmmisc
if errorlevel 2 goto AGENT_INSTALL
if errorlevel 1 goto CONTINUE
if errorlevel 3 goto CONTUNUE
:AGENT_INSTALL
call c:\usr\grmmisc.bat
rem echo %AgentHome%uninstal.bat
rem copy uninstal.bat "%AgentHome%uninstal.bat"
rem secondary -install
rem primary -install 
:CONTINUE
call c:\usr\grmmisc.bat
rem echo %GrmHome%uninstal.bat
rem copy uninstal.bat "%GrmHome%uninstal.bat"
cd ..\common
copy policy.jav "%UserHome%" 
copy keystore.jav "%UserHome%"
if not exist "%UserHome%\.java.policy" ren "%UserHome%\policy.jav" .java.policy
if not exist "%UserHome%\.keystore" ren "%UserHome%\keystore.jav" .keystore
rem ren %UserHome%\policy.jav .java.policy
rem ren %UserHome%\keystore.jav .keystore
del c:\usr\grmmisc.bat
echo.
echo Java-based GUI RAID Manager install procedure finished.
echo.
goto END
:NO_INSTALL
echo.
echo Java-based GUI RAID Manager install procedure canceled!
echo.
:END
@echo on
